= nng_stream_listener_close(3str)
//
// Copyright 2019 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
// Copyright 2019 Devolutions <info@devolutions.net>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_stream_listener_close - close byte stream listener

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

void nng_stream_listener_close(nng_stream_listener *l);
----

== DESCRIPTION

The `nng_stream_listener_close()` function closes the supplied connected byte
stream listener _l_,
but does not free the underlying resources associated with it.

If any
xref:nng_stream_listener_accept.3str.adoc[accept]
operations using _d_ are
in progress, they will be terminated with an `NNG_ECLOSED` error condition.

Furthermore any future accesses to the listener _l_ will also result in
`NNG_ECLOSED`.

NOTE: This function does not release the memory for the listener, so the
application should still free the memory using
xref:nng_stream_listener_free.3str.adoc[`nng_stream_listener_free()`]
once it is certain that nothing else is using it.

== RETURN VALUES

None.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_strerror.3.adoc[nng_strerror(3)],
xref:nng_stream_listener_accept.3str.adoc[nng_stream_listener_accept(3str)],
xref:nng_stream_listener_alloc.3str.adoc[nng_stream_listener_alloc(3str)],
xref:nng_stream_listener_free.3str.adoc[nng_stream_listener_free(3str)],
xref:nng_stream_listener.5.adoc[nng_stream_listener(5)]
